# Set-RASURLRedirectionSettings.md

## NAME

Set-RASURLRedirectionSettings

## SYNOPSIS

Modifies URL redirection settings.

## SYNTAX

\*\*Set-RASURLRedirectionSettings \[-[DefaultAction](#DefaultAction) {DoNotRedirect | Redirect}] \[[Replicate](#replicate-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the active URL redirection settings for the current site.

## PARAMETERS

## DefaultAction

([RedirectActionType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/redirectactiontype.md)) Whether the default action is to redirect or not.

Possible values: DoNotRedirect, Redirect

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Replicate (bool)

Whether the 'Replicate Settings' option is enabled or not.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified URL redirection settings.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[URLRedirectionSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/urlredirectionsettings.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASURLRedirectionSettings -DefaultAction Redirect

Modifies the default action of the URL redirection settings for the current site to Redirect.

## RELATED LINKS

* [Get-RASURLRedirectionSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasurlredirectionsettings.md)
* [Add-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasurlredirectionentry.md)
* Remove-Remove-RASURLRedirectionEntry
* [Set-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasurlredirectionentry.md)
* [Get-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasurlredirectionentry.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasurlredirectionsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
